Create API key
curl --request POST \
--url https://api.natural.com/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"name": "Production Backend",
"scopes": [
"payments.read",
"payments.create"
],
"tags": {
"service": "checkout"
}
}
}
}
'import requests
url = "https://api.natural.com/api-keys"
payload = { "data": { "attributes": {
"name": "Production Backend",
"scopes": ["payments.read", "payments.create"],
"tags": { "service": "checkout" }
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
name: 'Production Backend',
scopes: ['payments.read', 'payments.create'],
tags: {service: 'checkout'}
}
}
})
};
fetch('https://api.natural.com/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'name' => 'Production Backend',
'scopes' => [
'payments.read',
'payments.create'
],
'tags' => [
'service' => 'checkout'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/api-keys"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"name\": \"Production Backend\",\n \"scopes\": [\n \"payments.read\",\n \"payments.create\"\n ],\n \"tags\": {\n \"service\": \"checkout\"\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/api-keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"name\": \"Production Backend\",\n \"scopes\": [\n \"payments.read\",\n \"payments.create\"\n ],\n \"tags\": {\n \"service\": \"checkout\"\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/api-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"name\": \"Production Backend\",\n \"scopes\": [\n \"payments.read\",\n \"payments.create\"\n ],\n \"tags\": {\n \"service\": \"checkout\"\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "apiKey",
"id": "apy_019cd1798d6f4fd542f897a4115d917c",
"attributes": {
"apiKeyPrefix": "sk_ntl_prod_sxHp_FRoRTnDEmEH",
"name": "Production Backend",
"scopes": [
"payments.read",
"payments.create"
],
"environment": "prod",
"status": "ACTIVE",
"createdAt": "2026-01-04T15:30:00.000Z",
"lastUsedAt": null,
"revokedAt": null,
"createdBy": "usr_019cd1798d657de5b5fed4198cb9fac0",
"revokedBy": null,
"tags": {
"service": "checkout"
},
"apiKey": "sk_ntl_prod_sxHp_FRoRTnDEmEHD8FKVJg7P0d3UJMSWCtzQe9GBxk"
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
}
}
}
}API Keys
Create API key
Create an API key. Returns the API Key object. The secret is returned only once.
POST
/
api-keys
Create API key
curl --request POST \
--url https://api.natural.com/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"name": "Production Backend",
"scopes": [
"payments.read",
"payments.create"
],
"tags": {
"service": "checkout"
}
}
}
}
'import requests
url = "https://api.natural.com/api-keys"
payload = { "data": { "attributes": {
"name": "Production Backend",
"scopes": ["payments.read", "payments.create"],
"tags": { "service": "checkout" }
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
name: 'Production Backend',
scopes: ['payments.read', 'payments.create'],
tags: {service: 'checkout'}
}
}
})
};
fetch('https://api.natural.com/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.natural.com/api-keys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'data' => [
'attributes' => [
'name' => 'Production Backend',
'scopes' => [
'payments.read',
'payments.create'
],
'tags' => [
'service' => 'checkout'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.natural.com/api-keys"
payload := strings.NewReader("{\n \"data\": {\n \"attributes\": {\n \"name\": \"Production Backend\",\n \"scopes\": [\n \"payments.read\",\n \"payments.create\"\n ],\n \"tags\": {\n \"service\": \"checkout\"\n }\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.natural.com/api-keys")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"data\": {\n \"attributes\": {\n \"name\": \"Production Backend\",\n \"scopes\": [\n \"payments.read\",\n \"payments.create\"\n ],\n \"tags\": {\n \"service\": \"checkout\"\n }\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.natural.com/api-keys")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"data\": {\n \"attributes\": {\n \"name\": \"Production Backend\",\n \"scopes\": [\n \"payments.read\",\n \"payments.create\"\n ],\n \"tags\": {\n \"service\": \"checkout\"\n }\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"type": "apiKey",
"id": "apy_019cd1798d6f4fd542f897a4115d917c",
"attributes": {
"apiKeyPrefix": "sk_ntl_prod_sxHp_FRoRTnDEmEH",
"name": "Production Backend",
"scopes": [
"payments.read",
"payments.create"
],
"environment": "prod",
"status": "ACTIVE",
"createdAt": "2026-01-04T15:30:00.000Z",
"lastUsedAt": null,
"revokedAt": null,
"createdBy": "usr_019cd1798d657de5b5fed4198cb9fac0",
"revokedBy": null,
"tags": {
"service": "checkout"
},
"apiKey": "sk_ntl_prod_sxHp_FRoRTnDEmEHD8FKVJg7P0d3UJMSWCtzQe9GBxk"
},
"relationships": {
"party": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
}
}
}
}Authorizations
Headers
Was this page helpful?